using System;
using System.Collections.Generic;
using System.Linq;
using System.Runtime.Serialization;
using System.ServiceModel;
using System.Text;
using System.Threading.Tasks;
using WcfServices.Dto;

namespace WcfServices.Contract
{
    [ServiceContract]
    public interface IAttendanceRecordService
    {

        [OperationContract]
        Task<IEnumerable<AttendanceRecordDto>> GetAttendanceRecordsAsync(FilterDto filterDto);
        [OperationContract]
        Task<AttendanceRecordDto> GetAttendanceRecordByIdAsync(int id);
        [OperationContract]
        Task CreateAttendanceRecordAsync(AttendanceRecordDto userDto);
        [OperationContract]
        Task UpdateAttendanceRecordAsync(AttendanceRecordDto userDto);
        [OperationContract]
        Task DeleteAttendanceRecordAsync(int id);

    }

}
